Show parent projects when filtering in the project jump box
2018-12-01 17:22 - Anders Thomsen

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: Candidate for next major release

Description

Attached patch returns parents projects to matched projects when filtering in the project jump box (improves #23310)

It looks like this:

Logged in as admin My account Sign out

Search:

Dddd
All Projects

This solves a problem when having several projects with identical or similar names and project hierarchy is used to distinguish
between them. E.g. when using one parent project as a container for business projects and another for the software development
part of same project.

Also included is a related patch that marks the current project.

History

#1 - 2018-12-03 09:27 - Go MAEDA
- Status changed from New to Needs feedback
It is an interesting improvement.

| tried out the patch. But parent projects were displayed in not grey but black. And the checkmark for the current project was not displayed even after
applying the patch 0002-Mark-current-project-when-filtering-project-jump-box.patch.

Could you check the patch again? My browsers are Firefox and Chrome for Mac.

#2 - 2018-12-03 18:10 - Anders Thomsen
- File 0003-Mark-nodes-with-matching-child-in-filtered-project-j.patch added

The original patch uses on font-weight to grey out the non-matched parent nodes. This relies on the used font to provide the font-style which often it
does not. Just realised this as | tested on Windows.

Supplied patch uses "color" instead.

As for not marking the currently selected project, I'm not sure what causes this. | have just copied the functionality from the existing logic that marks
the current project on the first page load (i.e. not filtering). Does that work for you?

#3 - 2018-12-30 06:25 - Go MAEDA
- Status changed from Needs feedback to New

- Target version set to 4.1.0
LGTM. Setting the target version to 4.1.0.

#4 - 2018-12-30 08:10 - Marius BALTEANU

| like the idea of the patch, but I'm worried about the proposed implementation that retrieves every time all the projects visible to the user (ignoring the

g parameter). That means more time required to return the project searched by the user on instances with a lot of projects.

The change about | speak is the following one:

diff --git a/app/controllers/projects_controller.rb b/app/controllers/projects_controller.rb

index a43038a..9fbddf2 100644
-—— a/app/controllers/projects_controller.rb
+++ b/app/controllers/projects_controller.rb

@@ -66,10 +66,14 @@ class ProjectsController < ApplicationController

respond_to do |format|
format.js {
if params[:q].present?
= @projects = Project.visible.like (params[:q]) .to_a

+ @projects = Project.visible.to_a
else
@projects = User.current.projects.to_a
end

Maybe is it enough to show only the parent project? If not, at least we should confirm the proposed change with Jean-Philippe.

#5 - 2019-06-20 18:43 - Jean-Philippe Lang

- Target version changed from 4.1.0 to Candidate for next major release

Files

redmine-show-parent-projects-jump-box.png 8.56 KB 2018-12-01 Anders Thomsen
0002-Mark-current-project-when-filtering-project-jump-box.patch 2.14 KB 2018-12-01 Anders Thomsen
0001-show-ascendant-parent-projects-when-filtering-projec.patch 5 KB 2018-12-01 Anders Thomsen
0003-Mark-nodes-with-matching-child-in-filtered-project-j.patch 840 Bytes 2018-12-03 Anders Thomsen
